Bug 58525 - Errors attempting to compile mono-5.2 on Red Hat Enterprise 7.0 on zLinux
Summary: Errors attempting to compile mono-5.2 on Red Hat Enterprise 7.0 on zLinux
Status: RESOLVED ANSWERED
Alias: None
Product: Installers
Classification: Mono
Component: Linux packages ()
Version: 5.2.0 (2017-04)
Hardware: Other Linux
: --- normal
Target Milestone: ---
Assignee: Jo Shields
URL:
Depends on:
Blocks:
 
Reported: 2017-08-01 15:19 UTC by cottrejd
Modified: 2017-11-09 18:12 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
make output and errors (490.78 KB, text/plain)
2017-08-01 15:19 UTC, cottrejd
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description cottrejd 2017-08-01 15:19:21 UTC
Created attachment 23945 [details]
make output and errors

I am attempting to compile and use the Mono-5.2 builds currently present in https://github.com/mono/mono/releases and they all fail with the errors in the attached text document.

I am using Red Hat Enterprise 7.0 on IBM Z to do the compile.  I am able to successfully compile Mono 5.0.1.1 on this system however those earlier compilations seems to be missing msbuild which I require for the installation of fsharp.
Comment 1 Jo Shields 2017-08-31 14:18:23 UTC
Github "releases" don't include submodules.

Download proper prepared tarballs from http://download.mono-project.com/sources/mono/ or use git.